resource "authentik_provider_proxy" "paperless-gpt" {
  name          = "Paperless-gpt"
  internal_host = "http://paperless-gpt.paperless-ngx:8080"
  external_host = "https://paperless-gpt.lab.cowley.tech"

  internal_host_ssl_validation = false

  authentication_flow = data.authentik_flow.default-authentication-flow.id
  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id

  access_token_validity = "hours=24"
}

resource "authentik_application" "paperless-gpt" {
  name = "Paperless-gpt"
  slug = "paperless-gpt"

  protocol_provider = authentik_provider_proxy.paperless-gpt.id
}
